# Generated from serverspec-2.43.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name serverspec

Name: rubygem-%{gem_name}
Version: 2.43.0
Release: 1%{?dist}
Summary: RSpec tests for your servers configured by Puppet, Chef, Itamae or anything else
License: MIT
URL: http://serverspec.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
RSpec tests for your servers configured by Puppet, Chef, Itamae or anything
else.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/serverspec-init
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/WINDOWS_SUPPORT.md
%{gem_instdir}/appveyor.yml
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/wercker.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/serverspec.gemspec
%{gem_instdir}/spec

%changelog
* Fri Apr 25 2025 mockbuilder - 2.43.0-1
- Initial package
